<!-- Add/Edit Letter Section -->
<div class="addbox bg-white" style="position: relative;">
    <mat-tab-group color="warn" class="padding">
        <mat-tab label="{{letterlabel}}">

            <form [formGroup]="addLetterForm" class="treat-form">
                <div class="row addform mt-3 px-3">

                    <!-- Start Left side section  -->
                    <div class="col-xl-4">

                        <!-- Select Template Field -->
                        <div class="">
                            <div class="normal_13px_15px_font text-right normalhelfont grey caser pb-1">
                                Required
                            </div>
                            <div>
                                <mat-form-field appearance="outline" class="full-width mr-2">
                                    <mat-label>Select Template</mat-label>
                                    <mat-select formControlName="businessTemplateId"
                                                (selectionChange)="onChange($event)">
                                        <mat-option value="00000000-0000-0000-0000-000000000000">
                                            No Template
                                        </mat-option>
                                        <mat-option *ngFor="let templateName of templateNames"
                                                    [value]="templateName.id">
                                            {{templateName.name}}
                                        </mat-option>
                                    </mat-select>
                                    <mat-error *ngIf="addLetterForm.get('businessTemplateId').hasError('required')">
                                        This field is required.
                                    </mat-error>
                                </mat-form-field>
                            </div>
                        </div>

                        <!-- Letter Name Field -->
                        <div class="marginTop-15">
                            <div class="normal_13px_15px_font text-right normalhelfont grey caser pb-1">
                                Required
                            </div>
                            <div>
                                <mat-form-field appearance="outline" class="full-width mr-2">
                                    <mat-label>Letter Name</mat-label>
                                    <input type="text" matInput formControlName="name" appCharLimit
                                           [frmGroup]="addLetterForm" fcName="name" [max]="100">
                                    <mat-error
                                            *ngIf="addLetterForm.get('name').hasError('required') && addLetterForm.get('name').touched">
                                        This field is required.
                                    </mat-error>
                                    <mat-error *ngIf="addLetterForm.get('name').hasError('exceedLimit')">
                                        {{addLetterForm.get('name').getError('exceedLimit')}}
                                    </mat-error>
                                </mat-form-field>
                            </div>
                        </div>

                        <!-- Case Name Field -->
                        <div class="marginTop-15">
                            <div class="normal_13px_15px_font text-right normalhelfont grey caser pb-1">
                                Required
                            </div>
                            <div>
                                <mat-form-field appearance="outline" class="full-width mr-2">
                                    <mat-label>Case Name</mat-label>
                                    <mat-select formControlName="casesId">
                                        <mat-option *ngFor="let caseName of caseNames" [value]="caseName.id">
                                            {{caseName.caseName}}
                                        </mat-option>
                                    </mat-select>
                                    <mat-error *ngIf="addLetterForm.get('casesId').hasError('required')">
                                        This field is required.
                                    </mat-error>
                                </mat-form-field>
                            </div>
                        </div>

                        <!-- Related Appointment Field -->
                        <div class="marginTop-15">
                            <div class="normal_13px_15px_font text-right normalhelfont grey caser pb-1">
                                Required
                            </div>
                            <div>
                                <mat-form-field appearance="outline" class="full-width mr-2">
                                    <mat-label>Related Appointment</mat-label>
                                    <mat-select formControlName="appointmentId">
                                        <mat-option value='00000000-0000-0000-0000-000000000000'>
                                            No Related Appointment
                                        </mat-option>
                                        <mat-option *ngFor="let appointment of appointments" [value]="appointment.id">
                                            {{appointment.value}}
                                        </mat-option>
                                    </mat-select>
                                    <mat-error *ngIf="addLetterForm.get('appointmentId').hasError('required')">
                                        This field is required.
                                    </mat-error>
                                </mat-form-field>
                            </div>
                        </div>

                        <!-- Description Field -->
                        <div class="">
                            <mat-form-field appearance="outline" class="full-width mr-2">
                                <mat-label>Description</mat-label>
                                <textarea matInput formControlName="description" appCharLimit [frmGroup]="addLetterForm"
                                          fcName="description" [max]="250" rows="3"></textarea>
                                <mat-error *ngIf="addLetterForm.get('description').hasError('exceedLimit')">
                                    {{addLetterForm.get('description').getError('exceedLimit')}}
                                </mat-error>
                            </mat-form-field>
                        </div>

                        <!-- Tags Field -->
                        <div class="full-width mr-2">
                            <mat-form-field appearance="outline">
                                <mat-label>Tag</mat-label>
                                <app-letter-tag-list></app-letter-tag-list>
                            </mat-form-field>
                        </div>

                    </div>
                    <!-- End Left side section  -->

                    <!-- Vertical Divider  -->
                    <mat-divider [vertical]="true"></mat-divider>

                    <!-- Start Right Side Section  -->
                    <div class="col-sm-12 col-xl-8 rightSideSection">
                        <!-- Letter Subject Field -->
                        <div>
                            <mat-form-field appearance="outline">
                                <mat-label>Subject</mat-label>
                                <input type="text" matInput formControlName="subject" appCharLimit
                                       [frmGroup]="addLetterForm" fcName="subject" [max]="250">
                                <mat-error *ngIf="addLetterForm.get('subject').hasError('exceedLimit')">
                                    {{addLetterForm.get('subject').getError('exceedLimit')}}
                                </mat-error>
                            </mat-form-field>
                        </div>
                        <!-- Letter Editor Field  -->
                        <div>
                            <ckeditor formControlName="body" name="myckeditor" required [config]="ckeConfig"
                                      debounce="500" style="width: 100%;">
                            </ckeditor>
                        </div>
                    </div>
                    <!-- End Right Side Section  -->

                    <!-- Horizontal Divider  -->
                    <div class="col-xl-12">
                        <mat-divider class="mt-3 mb-1"></mat-divider>
                    </div>

                    <!-- Start Footer Section -->
                    <div class="col-xl-12">
                        <div class="row">
                            <div class="col-4 pt-3" *appAccess="moduleName; lookFor: ['D']">
                                <button *ngIf="showDeleteBTN" mat-stroked-button
                                        class="mat-stroked-button-delete footer-btn-customize mr-2"
                                        (click)="openDeletePopups()">
                                    <span>Delete</span>
                                </button>
                            </div>
                            <div class="col-8 pt-3 text-right">
                                <button mat-stroked-button color="accent"
                                        class="mr-3 footer-btn-customize buttons-space" (click)="cancel()">
                                    <span>Cancel</span>
                                </button>
                                <button *appAccess="moduleName; lookFor: ['C', 'E']" mat-raised-button color="accent"
                                        class="mr-3 footer-btn-customize buttons-space" (click)="upsert(true)"
                                        [disabled]="addLetterForm.invalid">
                                    <span>Save as Draft</span>
                                </button>
                                <button *appAccess="moduleName; lookFor: ['C', 'E']" mat-raised-button color="accent"
                                        class="footer-btn-customize buttons-space" (click)="upsert(false)"
                                        [disabled]="addLetterForm.invalid">
                                    <span>Finalize</span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <!-- End Footer Section -->

                </div>
            </form>
        </mat-tab>
    </mat-tab-group>

    <!-- Status Field  -->
    <form [formGroup]="addLetterForm" class="treat-form">
        <div class="d-flex justify-content-end custom-switch">
            <h5 class="">Status</h5>
            <kendo-switch formControlName="isActive" [onLabel]="'Active'" [offLabel]="'Inactive'"
                          class=" ml-3 wide-switch">
            </kendo-switch>
        </div>
    </form>
</div>

<!-- Delete Lette PopUp -->
<kendo-dialog *ngIf="openDeleteLettePopUp" (close)="closePopups()" [height]="auto" [width]="800"
              autoFocusedElement="#nocancel">
    <div class="modalHeight">
        <!-- dialog header  -->
        <div class="col-xl-12 p-0">
            <div class="custom-delete-modal">
                <span class="QUI_BOLD_18_32 deletetext text-uppercase">
                    <span *ngIf="whichPopup == 'detachReferralOrThirdPartyError' || whichPopup == 'caseDeleteError' || whichPopup == 'dischargeCaseError'">
                        <img src="../../../../../assets/error_info.svg">
                    </span>
                <span>ARE YOU SURE TO DELETE THIS LETTER?</span>
                </span>
                <button mat-icon-button (click)="closePopups()" aria-label="Close dialog">
                    <mat-icon>close</mat-icon>
                </button>
            </div>
        </div>
        <mat-divider></mat-divider>
        <!-- dialog body  -->
        <div class="deleteDescription custom-dlt-content">
            <p class="HEL_REG_16_22 patientdeletemodal custom-font lightcolor pt-2">
                Deleted letter cannot be restored.
            </p>
        </div>
        <mat-divider></mat-divider>
        <!-- dialog footer  -->
        <mat-dialog-content>
            <div class="row bottom-btn">
                <div class="col-12 pt-3 text-right">
                    <button mat-stroked-button color="accent" class="footer-btn-customize mr-2" (click)="closePopups()">
                        <span>No</span>
                    </button>
                    <button mat-raised-button color="accent" class="footer-btn-customize" (click)="deleteLetter()">
                        <span>Yes</span>
                    </button>
                </div>
            </div>
        </mat-dialog-content>
    </div>
</kendo-dialog>
